Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundacji Dzieciom zdazyć z Pomocą.
Więcej informacji na dug.net.pl/pomagamy/.

#26  2019-10-15 10:51:35

  ilin - Palacz

ilin
Palacz
Skąd: PRLu
Zarejestrowany: 2006-05-03

Re: Debian Buster brak pakietów


Problemy rozwiązujemy na forum nie na PW -> Niech inni na tym skorzystają.
Polski portal Debiana

Offline

 

#27  2019-10-15 11:03:16

  xfce5 - Użytkownik

xfce5
Użytkownik
Zarejestrowany: 2019-07-25

Re: Debian Buster brak pakietów

Te stabilne aktualizacje dodają tylko skaner antywirusowy pakietów? Nie bardzo rozumiem co one wnoszą i czy trzeba je dodawać?

Offline

 

#28  2019-10-15 11:32:26

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Debian Buster brak pakietów

Przepraszam że nie na temat, ale jak się powiedziało a, to..., tamta reguła z postu nr.12 wycinała za dużo. W nocy źle założyłem że dwu literowa nazwa użytkownika "hi" może być unikatowa, me??!. Tu poprawiona reguła do blokowania niechcianych postów, dla przykładu moich.

Kod:

forum.dug.net.pl##.box:-abp-has(a:-abp-contains(jawojx))

Offline

 

#29  2019-10-15 14:05:25

  ilin - Palacz

ilin
Palacz
Skąd: PRLu
Zarejestrowany: 2006-05-03

Re: Debian Buster brak pakietów

xfce5 napisał(-a):

Te stabilne aktualizacje dodają tylko skaner antywirusowy pakietów? Nie bardzo rozumiem co one wnoszą i czy trzeba je dodawać?

Przecież nikt cie nie zmusza do dodawania.

Kod:

cat '/var/lib/apt/lists/deb.debian.org_debian_dists_buster-updates_main_i18n_Translation-en' | grep Package:
Package: emacs
Package: emacs-bin-common
Package: emacs-common
Package: emacs-el
Package: emacs-gtk
Package: emacs-lucid
Package: emacs-nox
Package: emacs21
Package: emacs21-nox
Package: emacs22
Package: emacs22-gtk
Package: emacs22-nox
Package: emacs23
Package: emacs23-lucid
Package: emacs23-nox
Package: emacs24
Package: emacs24-lucid
Package: emacs24-nox
Package: emacs25
Package: emacs25-lucid
Package: emacs25-nox
Package: libdatetime-timezone-perl
Package: libnx-x11-6
Package: libnx-x11-dev
Package: libxcomp-dev
Package: libxcomp3
Package: libxcompshad-dev
Package: libxcompshad3
Package: nx-x11-common
Package: nx-x11proto-composite-dev
Package: nx-x11proto-core-dev
Package: nx-x11proto-damage-dev
Package: nx-x11proto-randr-dev
Package: nx-x11proto-render-dev
Package: nx-x11proto-scrnsaver-dev
Package: nx-x11proto-xext-dev
Package: nx-x11proto-xfixes-dev
Package: nx-x11proto-xinerama-dev
Package: nxagent
Package: nxproxy
Package: tzdata

Problemy rozwiązujemy na forum nie na PW -> Niech inni na tym skorzystają.
Polski portal Debiana

Offline

 

#30  2019-10-15 17:03:43

  blind - Użytkownik

blind
Użytkownik
Skąd: Olsztyn
Zarejestrowany: 2011-10-19

Re: Debian Buster brak pakietów

Każdy tutaj wrzuca wpisy z sources w jakiś sposób zmodyfikowane przez siebie, więc wrzucę to co miałem po instalacji Debiana, czego nie zmieniłem w żaden sposób i co działa.

Kod:

deb http://deb.debian.org/debian/ buster main
deb-src http://deb.debian.org/debian/ buster main

deb http://security.debian.org/debian-security buster/updates main
deb-src http://security.debian.org/debian-security buster/updates main

# buster-updates, previously known as 'volatile'
deb http://deb.debian.org/debian/ buster-updates main
deb-src http://deb.debian.org/debian/ buster-updates main

Aktualne, standardowe wpisy można znaleźć tutaj:
https://wiki.debian.org/SourcesList#Example_sources.list

Ostatnio edytowany przez blind (2019-10-15 17:07:41)


"Po drugie: w to co robisz uwierz i włóż w to serce."

Offline

 

#31  2019-10-15 17:14:29

  xfce5 - Użytkownik

xfce5
Użytkownik
Zarejestrowany: 2019-07-25

Re: Debian Buster brak pakietów

Wychodzi na to, że ja pobrałem jakiś inny obraz iso, ponieważ dodane było buster/updates, co mi blokowało możliwość instalacji wszystkiego. W sumie przy instalacji Debiana nie ustawiłem sieci, tylko na szybko zainstalowałem system. Pobrałem ten obraz cd-xfce około 641MB, po instalacji było dość mało pakietów trochę przeszło 700. Czyli używasz deb-src ponieważ zmieniasz coś w kodzie i kompilujesz programy po swojemu?

Ostatnio edytowany przez xfce5 (2019-10-15 17:42:30)

Offline

 

#32  2019-10-15 17:16:55

  blind - Użytkownik

blind
Użytkownik
Skąd: Olsztyn
Zarejestrowany: 2011-10-19

Re: Debian Buster brak pakietów

Nie zmieniam nic w kodzie i niczego nie kompiluję, bo nie mam takiej potrzeby. Posiadanie wpisów deb-src do niczego nie obliguje. Zwyczajnie nie widzę potrzeby edycji standardowych wpisów, które proponuje Debian.


"Po drugie: w to co robisz uwierz i włóż w to serce."

Offline

 

#33  2019-10-15 17:42:17

  ilin - Palacz

ilin
Palacz
Skąd: PRLu
Zarejestrowany: 2006-05-03

Re: Debian Buster brak pakietów

blind napisał(-a):

Zwyczajnie nie widzę potrzeby edycji standardowych wpisów, które proponuje Debian

Wystarczy ze będziesz miał nvidię, broadcoma czy inne ustrojstwo wymagające firmware i bez sekcji non-free nie nada.
Debian z powodów polityki licencyjnej standardowo nie wpisuje tych sekcji.

Jeszcze dorzucę

Kod:

# buster-updates, previously known as 'volatile'

We wcześniejszych wersjach debiana to repozytorim nazywało się volatile i było w defaultowych wpisach.


Problemy rozwiązujemy na forum nie na PW -> Niech inni na tym skorzystają.
Polski portal Debiana

Offline

 

#34  2019-10-15 17:44:46

  xfce5 - Użytkownik

xfce5
Użytkownik
Zarejestrowany: 2019-07-25

Re: Debian Buster brak pakietów

Znalazłem hybrydowe obrazy iso live, czy one posiadają instalator?
https://cdimage.debian.org/debian-cd/current-live/i386/iso-hybrid/

@blind Skoro ich nie używasz to jak robisz aktualizację tracisz czas na aktualizację tych źródeł, apt nie musiałby ich pobierać.

Ostatnio edytowany przez xfce5 (2019-10-15 17:48:12)

Offline

 

#35  2019-10-15 17:53:15

  blind - Użytkownik

blind
Użytkownik
Skąd: Olsztyn
Zarejestrowany: 2011-10-19

Re: Debian Buster brak pakietów

ilin napisał(-a):

Wystarczy ze będziesz miał nvidię, broadcoma czy inne ustrojstwo wymagające firmware i bez sekcji non-free nie nada.

Tak się składa, że mam kartę WiFi Broadcoma, która wymaga firmware. Jako jednak, ze laptopa i tak mam zawsze podłączonego kablem Ethernet, to WiFi nie potrzebuje. :) Nie mniej fakt, gdybym musiał, to bym użył repozytoriów contrib i non-free, ale dodałbym je po prostu do wyżej podanych wpisów, tak jak jest to opisane w artykule na wiki do którego link podałem.

Nie jestem jednak fanem dodawania własnych repozytoriów dla każdej z aplikacji. Raczej korzystam tylko z tych 3 standardowych repozytoriów Debiana. Jedyne co byłbym w stanie zaakceptować, to oficjalne repozytorium backportów, ale jakoś nie czuję potrzeby by z nich korzystać.

xfce5 napisał(-a):

@blind Skoro ich nie używasz to jak robisz aktualizację tracisz czas na aktualizację tych źródeł, apt nie musiałby ich pobierać.

Owszem, ale szczerze to szkoda zachodu dla tych zaoszczędzonych 3 sekund. :)

Ostatnio edytowany przez blind (2019-10-15 17:55:30)


"Po drugie: w to co robisz uwierz i włóż w to serce."

Offline

 

#36  2019-10-15 19:24:10

  yossarian - Szczawiożerca

yossarian
Szczawiożerca
Skąd: Shangri-La
Zarejestrowany: 2011-04-25

Re: Debian Buster brak pakietów

Obecnie nawet otwarto źródłowe sterowniki graficzne wymagają zamkniętego firmware . Dodatkowo masa kart WiFi, bluetooth, TV i innego badziewia.

Offline

 

#37  2019-10-26 03:48:48

  hi - Użytkownik

hi
Użytkownik
Zarejestrowany: 2016-03-24

Re: Debian Buster brak pakietów

Bodzio Przepraszam, to więcej nie będzie maiło miejsca, głupio mi wejść na trzeźwo :)
yossarian Jesteś OK, wymiatasz debianem, aczkolwiek więcej wyrozumiałości, ksywka obliguje :)
https://www.youtube.com/watch?v=aaxn9g_jOcc

Ostatnio edytowany przez hi (2019-10-26 04:08:57)


"Są drogi, którymi nie należy podążać, armie, których nie należy atakować, fortece, których nie należy oblegać, terytoria, o które nie należy walczyć, zarządzenia, których nie należy wykonywać" Sun Tzu

Offline

 

#38  2020-01-19 22:31:24

  wojtu - Użytkownik

wojtu
Użytkownik
Zarejestrowany: 2020-01-19

Re: Debian Buster brak pakietów

Podłączę się pod temat.

Nie mam pakietu steam. Oczywiście mam repozytoria non-free. Jest nawet pakiet steam-devices.

Miałem 32-bitowy system z gnome i był pakiet, teraz postawiłem 64-bit z kde i lipa.

Offline

 

#39  2020-01-19 22:54:28

  jawojx - Użytkownik

jawojx
Użytkownik
Zarejestrowany: 2012-10-11

Re: Debian Buster brak pakietów

A dodałeś dodatkową i386, bo steam jest chyba tylko 32bitowy, dlatego go miałeś na 32bitowym systemie. Sprawdź czy masz i386.

Kod:

dpkg --print-foreign-architectures

Jak nie ma, dodaj (z root-a lub z sudo).

Kod:

dpkg --add-architecture i386

i

Kod:

apt update

Sprawdź teraz czy steam jest dostępny.

Kod:

apt-cache policy steam

Ostatnio edytowany przez jawojx (2020-01-19 22:55:15)

Offline

 

#40  2020-01-24 20:53:07

  wojtu - Użytkownik

wojtu
Użytkownik
Zarejestrowany: 2020-01-19

Re: Debian Buster brak pakietów

@jawojx Wielkie dzięki, działa!

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
Nas ludzie lubią po prostu, a nie klikając w przyciski ;-)